| Qore ConnectionProvider Module Reference 1.5

Public Attributes | List of all members
ConnectionProvider::ConnectionOptionInfo Struct Reference

Connection option information. More...

## Public Attributes
*softlist< hash< AllowedValueInfo > > | allowed_values
| List of allowed values (enum)
auto | default_value
| Any default value.
string | desc
| Description.
bool | sensitive = False
| Is the value sensitive? (password or other authentication info)
bool | subst_env_vars = False
| Do environment variable substitution on the value?
string | type
| Option value type.

## Detailed Description

Connection option information.